package com.fs.watch.service;

import com.fs.watch.domain.WatchTemperatureData;
import com.fs.watch.param.WatchDataQueryParam;

import java.util.Date;
import java.util.List;

/**
* @author Administrator
* @description 针对表【watch_temperature_data(设备温度数据)】的数据库操作Service
* @createDate 2024-10-15 11:06:51
*/
public interface WatchTemperatureDataService{
    Boolean insert(WatchTemperatureData watchTemperatureData);

    List<WatchTemperatureData> queryByDateAndDeviceId(String date, String deviceId);

    WatchTemperatureData getLatest(String deviceId);

    List<WatchTemperatureData> page(WatchDataQueryParam param);

    List<WatchTemperatureData> list(Date startTime, Date endTime, String deviceId);
}
